using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace Models
{

    /// <summary>
    /// 房间配置信息变化日志
    /// </summary>
    [Table("TBL_ROOM_CONFIG_LOG"), Comment("房间配置信息变化日志 配置录入或上报状态变化，都记录到本日志内  ")]

    public class TBL_ROOM_CONFIG_LOG
    {
        /// <summary>
        /// 自增id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("id,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        /// <summary>
        ///    房间ID
        /// </summary>
        [ Column(TypeName = "int"), Comment("房间ID")]
        public int ROOM_ID { get; set; }


        /// <summary>
        /// 变化发生时间
        /// </summary>

        [Required, Column(TypeName = "datetime"), Comment("变化发生时间")]

        public DateTime  EVENT_DATETIME { get; set; }


        /// <summary>
        ///    变化发生类型（SET、READ）
        /// </summary>
        [  Column(TypeName = "int"), Comment("变化发生类型（SET、READ）")]
        public int MODIFIED_TYPE { get; set; }

        /// <summary>
        ///    变化发生项目
        /// </summary>
        [ Column(TypeName = "int"), Comment("变化发生项目")]
        public int MODI_ITEM { get; set; }


        /// <summary>
        ///    变化发生内容
        /// </summary>
        [ Column(TypeName = "nvarchar(100)"), Comment("变化发生内容")]
        public string DESCRIPTION { get; set; }


        /// <summary>
        ///  变化发生录入人
        /// </summary>
        [  Column(TypeName = "nvarchar(100)"), Comment("变化发生录入人")]
        public string OPERATOR { get; set; }


        /// <summary>
        ///  变化发生录入人
        /// </summary>
        [  Column(TypeName = "nvarchar(100)"), Comment("录入人IP")]
        public string IP { get; set; }


        /// <summary>
        ///  录入人地址定位
        /// </summary>
        [  Column(TypeName = "nvarchar(100)"), Comment("录入人地址定位")]
        public string LOCATION { get; set; }

        /// <summary>
        /// 记录更新时间
        /// </summary>

       [Column(TypeName = "datetime"), Comment("记录更新时间")]

        public DateTime? UPDATE_TIMEMARK { get; set; }



        /// <summary>
        /// 备注
        /// </summary>

        [Column(TypeName = "nvarchar(520)"), Comment("备注")]

        public string REMARK { get; set; }
    }
}
